is anyone else having trouble getting this to load up? i'm using 3.40oe-a